Subject: Re: bug#60757: 28.2 emacs daemon crashes on wayland when started as service

From: Po Lu <[email-masked]>
Date: Fri, 13 Jan 2023 09:25:03 +0800

binarydigitz01 <[email-masked]> writes:

> When I enable emacs.service, and login in a wayland (kde plasma), Emacs
> daemon is auto started, but it fails to open a emacs frame in gui
> (emacsclient -c). I can open it in the terminal. It fails with the error
> message: "*ERROR*: Display :1 can’t be opened".
>
> This is a pretty old bug first documented here: https://emacs.stackexchange.com/questions/9390/emacsclient-cant-open-display-0
>
> I could not find a reported bug in the archives. Any help is greatly appreciated.

If you run:

  journalctl --user -x -u emacs.service

what is printed?